using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class SysSetting
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// 分类
        /// </summary>
        public virtual string Type
        {
            get;
            set;
        }

        /// <summary>
        /// 英文分类
        /// </summary>
        public virtual string EType
        {
            get;
            set;
        }

        /// <summary>
        /// 名称
        /// </summary>
        public virtual string Name
        {
            get;
            set;
        }

        /// <summary>
        /// 值
        /// </summary>
        public virtual string Value
        {
            get;
            set;
        }

        /// <summary>
        /// 备注
        /// </summary>
        public virtual string Remark
        {
            get;
            set;
        }

        /// <summary>
        /// 英文备注
        /// </summary>
        public virtual string ERemark
        {
            get;
            set;
        }

        /// <summary>
        /// 是否允许编辑
        /// </summary>
        public virtual bool AllowEdit
        {
            get;
            set;
        }
    }
}
